Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.event
Interface CallbackModes

All Known Subinterfaces:
  Broker, DistributedBroker, MetaDataDefaults

All Known Implementing Classes:
  AbstractMetaDataDefaults, BrokerImpl, DelegatingBroker, DistributedBrokerImpl, FinalizingBrokerImpl, LifecycleEventManager, NoneMetaDataFactory, PersistenceMetaDataDefaults, ValidatingLifecycleEventManager

    public interface CallbackModes

Callback handling constants.

Since:
  0.4.0
Author:
  Steve Kim

Field Summary
`static int` | `CALLBACK_FAIL_FAST` Flag to stop executing callbacks on exception immediately.
`static int` | `CALLBACK_IGNORE` Flag to ignore exceptions made during callback.
`static int` | `CALLBACK_LOG` Flag to log exceptions made during callback.
`static int` | `CALLBACK_RETHROW` Flag to re-throw exceptions made during callback.
`static int` | `CALLBACK_ROLLBACK` Flag to always rollback on a callback exception.

Field Detail

### CALLBACK_FAIL_FAST

    static final int CALLBACK_FAIL_FAST

  Flag to stop executing callbacks on exception immediately.

  See Also:
    Constant Field Values

### CALLBACK_IGNORE

    static final int CALLBACK_IGNORE

  Flag to ignore exceptions made during callback.

  See Also:
    Constant Field Values

### CALLBACK_LOG

    static final int CALLBACK_LOG

  Flag to log exceptions made during callback.

  See Also:
    Constant Field Values

### CALLBACK_RETHROW

    static final int CALLBACK_RETHROW

  Flag to re-throw exceptions made during callback.

  See Also:
    Constant Field Values

### CALLBACK_ROLLBACK

    static final int CALLBACK_ROLLBACK

  Flag to always rollback on a callback exception.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.